<div class="ui middle aligned center aligned grid single-form-wrapper">
    <div class="four wide column single-form">
        <h2 class="ui image header">
            <div class="content">
                Connexion
            </div>
        </h2>
        <form class="ui large form" [formGroup]="loginForm">
            <div class="ui stacked secondary segment">
                <div class="field">
                    <div class="ui left icon input">
                        <i class="user icon"></i>
                        <input type="text" name="email" placeholder="E-mail address" formControlName="email">
                    </div>
                </div>
                <div class="field">
                    <div class="ui left icon input">
                        <i class="lock icon"></i>
                        <input type="password" name="password" placeholder="Password" formControlName="password">
                    </div>
                </div>
                <div class="field">
                    <a class="link">Mot de passe oublié</a>
                </div>
                <div class="field">
                    <button type="submit" [disabled]="loginForm.invalid" (click)="submit()"
                            class="ui fluid large teal submit button" id="submit">
                        Login
                    </button>
                </div>
            </div>

        </form>

        <div class="ui message error" *ngIf="AuthFailed">{{ AuthFailed }}</div>
        <div class="ui message success" *ngIf="AuthSuccess">Vous êtes connectés</div>

        <div class="ui message orange" *ngIf="email.invalid && email.touched && email.value !== ''">
            Vous devez renseigner une adresse E-mail valide
        </div>
        <div class="ui message orange" *ngIf="email.invalid && email.touched && email.value ===''">
            Vous devez entrer une adresse Email
        </div>

        <div class="ui message orange" *ngIf="password.value === '' && password.touched">
            Vous devez entrer un mot de passe
        </div>
        <div class="ui message orange" *ngIf="password.errors?.minlength">
            Vôtre mot de passe fait au moins 6 caractères
        </div>

    </div>
</div>
